Package ch.qos.logback.access.pattern

## Class ResponseHeaderConverter

- java.lang.Object
- - ch.qos.logback.core.pattern.Converter<E>
  - - ch.qos.logback.core.pattern.FormattingConverter<E>
    - - ch.qos.logback.core.pattern.DynamicConverter<IAccessEvent>
      - - ch.qos.logback.access.pattern.AccessConverter
        - - ch.qos.logback.access.pattern.ResponseHeaderConverter

All Implemented Interfaces:
  `ContextAware`, `LifeCycle`

    public class ResponseHeaderConverter
    extends AccessConverter

### Field Summary

### Fields inherited from class ch.qos.logback.access.pattern.AccessConverter

`QUESTION_CHAR, SPACE_CHAR`

### Fields inherited from class ch.qos.logback.core.pattern.DynamicConverter

`started`

### Constructor Summary

Constructors
`ResponseHeaderConverter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `convert​(IAccessEvent accessEvent)` The convert method is responsible for extracting data from the event and storing it for later use by the write method.
`void` `start()` Components that depend on options passed during configuration can override this method in order to make appropriate use of those options.

### Methods inherited from class ch.qos.logback.access.pattern.AccessConverter

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, setContext`

### Methods inherited from class ch.qos.logback.core.pattern.DynamicConverter

`getFirstOption, getOptionList, isStarted, setOptionList, stop`

### Methods inherited from class ch.qos.logback.core.pattern.FormattingConverter

`getFormattingInfo, setFormattingInfo, write`

### Methods inherited from class ch.qos.logback.core.pattern.Converter

`getNext, setNext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResponseHeaderConverter

    public ResponseHeaderConverter()

### Method Detail

#### start

    public void start()

Description copied from class: `DynamicConverter`
Components that depend on options passed during configuration can override this method in order to make appropriate use of those options. For simpler components, the trivial implementation found in this abstract class will be sufficient.

Specified by:
  `start` in interface `LifeCycle`
Overrides:
  `start` in class `DynamicConverter<IAccessEvent>`

#### convert

    public java.lang.String convert​(IAccessEvent accessEvent)

Description copied from class: `Converter`
The convert method is responsible for extracting data from the event and storing it for later use by the write method.

Specified by:
  `convert` in class `Converter<IAccessEvent>`